## ksyntax-highlighting 5.68.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

set(KF5_VERSION "5.68.0")
project(KSyntaxHighlighting VERSION ${KF5_VERSION})

find_package(ECM 5.68.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
if(POLICY CMP0063)
    cmake_policy(SET CMP0063 NEW)
endif()

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(KDEClangFormat)

include(FeatureSummary)
include(GenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)
include(CMakePackageConfigHelpers)
include(ECMPoQmTools)
include(ECMQtDeclareLoggingCategory)
include(ECMMarkNonGuiExecutable)
include(ECMAddQch)
include(ECMOptionalAddSubdirectory)


ecm_setup_version(PROJECT
    VARIABLE_PREFIX SyntaxHighlighting
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/ksyntaxhighlighting_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5SyntaxHighlightingConfigVersion.cmake"
)

#
# Dependencies
#
set(REQUIRED_QT_VERSION 5.12.0)
find_package(Qt5 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED COMPONENTS Core Network Test)
option(KSYNTAXHIGHLIGHTING_USE_GUI "Build components depending on Qt5Gui" ON)
if(KSYNTAXHIGHLIGHTING_USE_GUI)
    find_package(Qt5 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED COMPONENTS Gui)
endif()
find_package(Qt5 ${REQUIRED_QT_VERSION} NO_MODULE QUIET OPTIONAL_COMPONENTS PrintSupport Widgets XmlPatterns)
set_package_properties(Qt5 PROPERTIES URL "http://qt-project.org/")
set_package_properties(Qt5Widgets PROPERTIES PURPOSE "Example application.")
set_package_properties(Qt5PrintSupport PROPERTIES PURPOSE "Example application.")
set_package_properties(Qt5XmlPatterns PROPERTIES PURPOSE "Compile-time validation of syntax definition files.")

find_package(Perl REQUIRED)
set_package_properties(Perl PROPERTIES PURPOSE "Auto-generate PHP syntax definition files.")

#
# allow to install the "differently" licensed syntax xml files instead of putting them in a QRC and link them in
#
option(QRC_SYNTAX "Bundle the syntax definition files inside the library as resources" ON)
add_feature_info(SYNTAX_RESOURCE ${QRC_SYNTAX} "Bundle the syntax definition files inside the library as resources")

#
# allow to turn of lookup for syntax files and themes via QStandardPaths
#
option(NO_STANDARD_PATHS "Skip lookup of syntax and theme definitions in QStandardPaths locations" OFF)
add_feature_info(FEATURE_NO_STANDARD_PATHS ${NO_STANDARD_PATHS} "Skip lookup of syntax and theme definitions in QStandardPaths locations")

#
# API documentation
#
option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

#
# Translations
#
if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ecm_install_po_files_as_qm(po)
endif()

# tell the framework if it shall use the syntax files from the resource
if (QRC_SYNTAX)
    add_definitions(-DHAS_SYNTAX_RESOURCE)
endif()

# skip standard paths?
if (NO_STANDARD_PATHS)
    add_definitions(-DNO_STANDARD_PATHS)
endif()
add_definitions(-DQT_NO_FOREACH)
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050d00)

#
# Actually build the stuff
#
include_directories(${CMAKE_CURRENT_BINARY_DIR})
add_subdirectory(data)
add_subdirectory(src)
if(TARGET Qt5::Gui)
    add_subdirectory(examples)
    if (BUILD_TESTING)
        add_subdirectory(autotests)
    endif()
endif()

#
# CMake package config file generation
#
set(CMAKECONFIG_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/KF5SyntaxHighlighting")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5SyntaxHighlighting_QCH
        FILE KF5SyntaxHighlightingQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5SyntaxHighlightingQchTargets.cmake\")")
endif()

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF5SyntaxHighlightingConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5SyntaxHighlightingConfig.cmake"
    INSTALL_DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
)

install(FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KF5SyntaxHighlightingConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KF5SyntaxHighlightingConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel)

if(TARGET KF5SyntaxHighlighting)
    install(EXPORT KF5SyntaxHighlightingTargets
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE KF5SyntaxHighlightingTargets.cmake
        NAMESPACE KF5::)
endif()

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/ksyntaxhighlighting_version.h"
        DESTINATION "${KDE_INSTALL_INCLUDEDIR_KF5}"
        COMPONENT Devel)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

# add clang-format target for all our real source files
file(GLOB ALL_CLANG_FORMAT_TEST_FILES autotests/*.cpp autotests/*.h)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES examples/*.cpp examples/*.h src/*.cpp src/*.h)
kde_clang_format(${ALL_CLANG_FORMAT_TEST_FILES} ${ALL_CLANG_FORMAT_SOURCE_FILES})

=== autotests/CMakeLists.txt ===
#
# test configuration
#
configure_file(test-config.h.in ${CMAKE_CURRENT_BINARY_DIR}/test-config.h)

#
# helper to update the references for the unit tests
#
configure_file(update-reference-data.sh.in ${CMAKE_CURRENT_BINARY_DIR}/update-reference-data.sh)

#
# unit tests
# always executed during testing, required to pass, else stuff is in a bad shape ;=)
#
add_executable(wildcardmatcher_test wildcardmatcher_test.cpp ${CMAKE_SOURCE_DIR}/src/lib/wildcardmatcher.cpp)
add_test(NAME wildcardmatcher_test COMMAND wildcardmatcher_test)
target_link_libraries(wildcardmatcher_test KF5SyntaxHighlighting Qt5::Test)

add_executable(syntaxrepository_test syntaxrepository_test.cpp)
add_test(NAME syntaxrepository_test COMMAND syntaxrepository_test)
target_link_libraries(syntaxrepository_test KF5SyntaxHighlighting Qt5::Test)

add_executable(theme_test theme_test.cpp)
add_test(NAME theme_test COMMAND theme_test)
target_link_libraries(theme_test KF5SyntaxHighlighting Qt5::Test)

add_executable(testhighlighter_test testhighlighter.cpp)
add_test(NAME testhighlighter_test COMMAND testhighlighter_test)
target_link_libraries(testhighlighter_test KF5SyntaxHighlighting Qt5::Test)

add_executable(htmlhighlighter_test htmlhighlighter_test.cpp)
add_test(NAME htmlhighlighter_test COMMAND htmlhighlighter_test)
target_link_libraries(htmlhighlighter_test KF5SyntaxHighlighting Qt5::Test)

add_executable(folding_test foldingtest.cpp)
add_test(NAME folding_test COMMAND folding_test)
target_link_libraries(folding_test KF5SyntaxHighlighting Qt5::Test)

#
# benchmarks, don't execute during normal testing
# they don't test additional stuff but only hang the CI
#
add_executable(highlighter_benchmark highlighter_benchmark.cpp)
add_test(NAME highlighter_benchmark COMMAND highlighter_benchmark CONFIGURATIONS BENCHMARK)
target_link_libraries(highlighter_benchmark KF5SyntaxHighlighting Qt5::Test)

add_executable(repository_benchmark repository_benchmark.cpp)
add_test(NAME repository_benchmark COMMAND repository_benchmark CONFIGURATIONS BENCHMARK)
target_link_libraries(repository_benchmark KF5SyntaxHighlighting Qt5::Test)

=== debian/changelog ===
ksyntax-highlighting (5.68.0-0ubuntu1) focal; urgency=medium

  * Update install files.
  * New upstream release (5.68.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 25 Mar 2020 21:01:19 +0000

ksyntax-highlighting (5.67.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.67.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Feb 2020 09:54:04 +0000

ksyntax-highlighting (5.66.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.66.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2020 13:23:00 +0000

ksyntax-highlighting (5.65.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.65.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 14 Dec 2019 23:03:52 +0000

ksyntax-highlighting (5.64.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.63.0)
  * New upstream release (5.64.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Nov 2019 21:28:06 +0000

ksyntax-highlighting (5.62.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.62.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 14 Sep 2019 08:10:35 +0100

ksyntax-highlighting (5.61.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.61.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Aug 2019 10:46:18 +0100

ksyntax-highlighting (5.60.0-0ubuntu1) eoan; urgency=medium

  * Move qdebug categories file to new location.
  * New upstream release (5.60.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 20 Jul 2019 08:19:37 +0100

ksyntax-highlighting (5.59.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.59.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 12 Jun 2019 11:22:48 +0100

ksyntax-highlighting (5.58.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.58.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 13 May 2019 15:44:02 +0100

ksyntax-highlighting (5.57.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.57.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 22 Apr 2019 08:41:32 +0100

=== debian/control ===
Source: ksyntax-highlighting
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.68.0~),
               graphviz,
               libqt5sql5-sqlite,
               libqt5xmlpatterns5-dev (>= 5.8.0~),
               perl,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.8.0~),
               qttools5-dev (>= 5.4),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/syntax-highlighting
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/syntax-highlighting
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/syntax-highlighting

Package: libkf5syntaxhighlighting-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Syntax highlighting Engine - translations
 This is a stand-alone implementation of the Kate syntax
 highlighting engine. It's meant as a building block for
 text editors as well as for simple highlighted text
 rendering (e.g. as HTML), supporting both integration
 with a custom editor as well as a ready-to-use
 QSyntaxHighlighter sub-class.
 .
 This package provides the translations.

Package: libkf5syntaxhighlighting-dev
Architecture: any
Section: libdevel
Depends: libkf5syntaxhighlighting5 (= ${binary:Version}),
         libqt5xmlpatterns5-dev (>= 5.8.0~),
         qtbase5-dev (>= 5.8.0~),
         ${misc:Depends},
Recommends: libkf5syntaxhighlighting-doc (= ${source:Version})
Description: Syntax highlighting Engine
 This is a stand-alone implementation of the Kate syntax
 highlighting engine. It's meant as a building block for
 text editors as well as for simple highlighted text
 rendering (e.g. as HTML), supporting both integration
 with a custom editor as well as a ready-to-use
 QSyntaxHighlighter sub-class.
 .
 Contains development files for libkf5syntaxhighlighting5.

Package: libkf5syntaxhighlighting-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: Syntax highlighting Engine (documentation)
 This is a stand-alone implementation of the Kate syntax
 highlighting engine. It's meant as a building block for
 text editors as well as for simple highlighted text
 rendering (e.g. as HTML), supporting both integration
 with a custom editor as well as a ready-to-use
 QSyntaxHighlighter sub-class.

Package: libkf5syntaxhighlighting-tools
Architecture: any
Depends: libkf5syntaxhighlighting5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Syntax highlighting Engine
 This is a stand-alone implementation of the Kate syntax
 highlighting engine. It's meant as a building block for
 text editors as well as for simple highlighted text
 rendering (e.g. as HTML), supporting both integration
 with a custom editor as well as a ready-to-use
 QSyntaxHighlighter sub-class.
 .
 Provides additional tools for libkf5syntaxhighlighting5

Package: libkf5syntaxhighlighting5
Architecture: any
Depends: libkf5syntaxhighlighting-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Syntax highlighting Engine
 This is a stand-alone implementation of the Kate syntax
 highlighting engine. It's meant as a building block for
 text editors as well as for simple highlighted text
 rendering (e.g. as HTML), supporting both integration
 with a custom editor as well as a ready-to-use
 QSyntaxHighlighter sub-class.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

override_dh_strip:
	dh_strip --dbgsym-migration='syntax-highlighting-dbg (<= 5.19.0-1~~)'

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus (>= 1.8), openbox,
         libkf5service-bin, kded5, kinit, libkf5parts5, libkf5dbusaddons-bin
Restrictions: build-needed, allow-stderr

Tests: acc
Depends: @, dh-acc, exuberant-ctags
Restrictions: allow-stderr

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ http://download.kde.org/stable/frameworks/([\d\.]*)/syntax-highlighting-(.*)\.tar\.xz

## ksyntax-highlighting 5.74.0

=== debian/changelog ===
ksyntax-highlighting (5.74.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.74.0)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Sep 2020 11:02:34 +0100

ksyntax-highlighting (5.73.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.73.0)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Aug 2020 11:02:06 +0100

ksyntax-highlighting (5.72.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.72.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 06 Jul 2020 20:36:40 +0100

ksyntax-highlighting (5.71.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.71.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 14 Jun 2020 12:10:07 +0100

ksyntax-highlighting (5.70.0-1ubuntu1) groovy; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - debhelper-compat = 12 for backports.
    - Do not run tests at build time.

 -- Rik Mills <rikmills@kde.org>  Mon, 08 Jun 2020 08:18:00 +0100

ksyntax-highlighting (5.70.0-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump compat level to 13.
  * New upstream release (5.70.0).
  * Update build-deps and deps with the info from cmake.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete field Contact from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

 -- Sandro Knauß <hefee@debian.org>  Tue, 26 May 2020 23:56:35 +0200

ksyntax-highlighting (5.70.0-0ubuntu1) groovy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.69.0)

  [ Rik Mills ]
  * New upstream release (5.70.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 May 2020 12:35:51 +0100

ksyntax-highlighting (5.69.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Add Rules-Requires-Root field to control.
  * New upstream release (5.69.0).
  * Update build-deps and deps with the info from cmake.
  * Enable hardening all.
  * Update copyright file.
  * Update qtlogging categories files.
  * Remove not needed injection of linker flags.

 -- Sandro Knauß <hefee@debian.org>  Thu, 30 Apr 2020 00:58:50 +0200

=== debian/control ===
--- 
+++ 
@@ -3,26 +3,27 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 3.0~),
-               debhelper (>= 11~),
+Build-Depends: cmake (>= 3.5~),
+               debhelper-compat (= 12),
                doxygen,
-               extra-cmake-modules (>= 5.68.0~),
+               extra-cmake-modules (>= 5.74.0~),
                graphviz,
                libqt5sql5-sqlite,
-               libqt5xmlpatterns5-dev (>= 5.8.0~),
+               libqt5xmlpatterns5-dev (>= 5.12.0~),
                perl,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.8.0~),
+               qtbase5-dev (>= 5.12.0~),
                qttools5-dev (>= 5.4),
-Standards-Version: 4.1.4
+Standards-Version: 4.5.0
 Homepage: https://projects.kde.org/projects/frameworks/syntax-highlighting
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/syntax-highlighting
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/syntax-highlighting
+Rules-Requires-Root: no
 
 Package: libkf5syntaxhighlighting-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}
 Description: Syntax highlighting Engine - translations
  This is a stand-alone implementation of the Kate syntax
  highlighting engine. It's meant as a building block for
@@ -34,11 +35,11 @@
  This package provides the translations.
 
 Package: libkf5syntaxhighlighting-dev
+Section: libdevel
 Architecture: any
-Section: libdevel
 Depends: libkf5syntaxhighlighting5 (= ${binary:Version}),
-         libqt5xmlpatterns5-dev (>= 5.8.0~),
-         qtbase5-dev (>= 5.8.0~),
+         libqt5xmlpatterns5-dev (>= 5.12.0~),
+         qtbase5-dev (>= 5.12.0~),
          ${misc:Depends},
 Recommends: libkf5syntaxhighlighting-doc (= ${source:Version})
 Description: Syntax highlighting Engine
@@ -54,8 +55,8 @@
 Package: libkf5syntaxhighlighting-doc
 Architecture: all
 Multi-Arch: foreign
+Depends: ${misc:Depends}
 Section: doc
-Depends: ${misc:Depends}
 Description: Syntax highlighting Engine (documentation)
  This is a stand-alone implementation of the Kate syntax
  highlighting engine. It's meant as a building block for
@@ -68,7 +69,7 @@
 Architecture: any
 Depends: libkf5syntaxhighlighting5 (= ${binary:Version}),
          ${misc:Depends},
-         ${shlibs:Depends},
+         ${shlibs:Depends}
 Description: Syntax highlighting Engine
  This is a stand-alone implementation of the Kate syntax
  highlighting engine. It's meant as a building block for
@@ -81,9 +82,11 @@
 
 Package: libkf5syntaxhighlighting5
 Architecture: any
+Multi-Arch: same
+Breaks: libkf5texteditor5 (<< 5.54)
 Depends: libkf5syntaxhighlighting-data (= ${source:Version}),
          ${misc:Depends},
-         ${shlibs:Depends},
+         ${shlibs:Depends}
 Description: Syntax highlighting Engine
  This is a stand-alone implementation of the Kate syntax
  highlighting engine. It's meant as a building block for

## ksyntax-highlighting 5.78.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.5)
 
-set(KF5_VERSION "5.68.0")
+set(KF5_VERSION "5.78.0")
 project(KSyntaxHighlighting VERSION ${KF5_VERSION})
 
-find_package(ECM 5.68.0 REQUIRED NO_MODULE)
+find_package(ECM 5.78.0 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 if(POLICY CMP0063)
     cmake_policy(SET CMP0063 NEW)
@@ -36,7 +36,7 @@
 #
 # Dependencies
 #
-set(REQUIRED_QT_VERSION 5.12.0)
+set(REQUIRED_QT_VERSION 5.14.0)
 find_package(Qt5 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED COMPONENTS Core Network Test)
 option(KSYNTAXHIGHLIGHTING_USE_GUI "Build components depending on Qt5Gui" ON)
 if(KSYNTAXHIGHLIGHTING_USE_GUI)
@@ -86,7 +86,7 @@
     add_definitions(-DNO_STANDARD_PATHS)
 endif()
 add_definitions(-DQT_NO_FOREACH)
-add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050d00)
+add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050e00)
 
 #
 # Actually build the stuff
@@ -141,6 +141,10 @@
 
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
+# add target to update kate-editor.org syntax page + update site
+add_custom_target(update_kate_editor_org
+    COMMAND "${CMAKE_CURRENT_SOURCE_DIR}/utils/update-kate-editor-org.pl" "${CMAKE_SOURCE_DIR}" "${CMAKE_BINARY_DIR}")
+
 # add clang-format target for all our real source files
 file(GLOB ALL_CLANG_FORMAT_TEST_FILES autotests/*.cpp autotests/*.h)
 file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES examples/*.cpp examples/*.h src/*.cpp src/*.h)

=== data/CMakeLists.txt ===
# create a directory for generated definitions
execute_process(COMMAND ${CMAKE_COMMAND} -E make_directory ${CMAKE_CURRENT_BINARY_DIR}/generated/syntax)

macro(generate_syntax_definition generator targetFile srcFile)
    add_custom_target(
        ${targetFile} ALL
        DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/generated/syntax/${targetFile}
    )
    add_custom_command(
        OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/generated/syntax/${targetFile}
        COMMAND ${PERL_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/generators/${generator}
                ${CMAKE_CURRENT_SOURCE_DIR}/syntax/${srcFile}
                ${CMAKE_CURRENT_BINARY_DIR}/generated/syntax/${targetFile}
        DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/generators/${generator}
                ${CMAKE_CURRENT_SOURCE_DIR}/syntax/${srcFile}
                ${ARGN}
        VERBATIM
    )
    set(gen_defs ${gen_defs} ${CMAKE_CURRENT_BINARY_DIR}/generated/syntax/${targetFile})
endmacro()

# generate PHP definitions
macro(generate_php_syntax_definition targetFile srcFile)
    generate_syntax_definition(generate-php.pl ${targetFile} ${srcFile} ${CMAKE_CURRENT_SOURCE_DIR}/syntax/php.xml)
endmacro()

generate_php_syntax_definition(javascript-php.xml javascript.xml)
generate_php_syntax_definition(css-php.xml css.xml)
generate_php_syntax_definition(html-php.xml html.xml)
generate_php_syntax_definition(javascript-react-php.xml javascript-react.xml)
generate_php_syntax_definition(typescript-php.xml typescript.xml)
generate_php_syntax_definition(mustache-php.xml mustache.xml)

# generate DoxygenLua definition
generate_syntax_definition(generate-doxygenlua.pl doxygenlua.xml doxygen.xml)

# find all definitions
file(GLOB src_defs "${CMAKE_CURRENT_SOURCE_DIR}/syntax/*.xml")
set(defs ${src_defs} ${gen_defs})

# theme data resource
qt5_add_resources(themes_QRC ${CMAKE_CURRENT_SOURCE_DIR}/themes/theme-data.qrc)

# do we want syntax files bundled in the library?
if (QRC_SYNTAX)
    # generate the resource file
    set(qrc_file ${CMAKE_CURRENT_BINARY_DIR}/syntax-data.qrc)
    set(qrc_body "")
    foreach(def ${defs})
        get_filename_component(def_name ${def} NAME)
        string(APPEND qrc_body "<file alias=\"${def_name}\">${def}</file>\n")
    endforeach()
    set(SYNTAX_DATA_QRC_FILES_STRING ${qrc_body})
    configure_file(syntax-data.qrc.in ${qrc_file} @ONLY)

    # generate the index file
    add_custom_command(OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/index.katesyntax"
    COMMAND katehighlightingindexer "${CMAKE_CURRENT_BINARY_DIR}/index.katesyntax" "${CMAKE_CURRENT_SOURCE_DIR}/schema/language.xsd" "${CMAKE_CURRENT_BINARY_DIR}/syntax-data.qrc"
    DEPENDS katehighlightingindexer ${defs} ${CMAKE_CURRENT_SOURCE_DIR}/schema/language.xsd ${CMAKE_CURRENT_BINARY_DIR}/syntax-data.qrc
    )

    # generate the qrc file manually, to make dependencies on generated files work...
    add_custom_command(OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/qrc_syntax-data.cpp"
        COMMAND ${Qt5Core_RCC_EXECUTABLE} --name syntax_data -o "${CMAKE_CURRENT_BINARY_DIR}/qrc_syntax-data.cpp" "${CMAKE_CURRENT_BINARY_DIR}/syntax-data.qrc"
        DEPENDS ${defs} ${CMAKE_CURRENT_BINARY_DIR}/index.katesyntax
    )
    set_source_files_properties("${CMAKE_CURRENT_BINARY_DIR}/qrc_syntax-data.cpp" PROPERTIES SKIP_AUTOMOC ON)

    # object library to make cross-folder dependencies work, themes + syntax files
    add_library(SyntaxHighlightingData OBJECT ${themes_QRC} ${CMAKE_CURRENT_BINARY_DIR}/qrc_syntax-data.cpp)
else()
    # install the syntax files as normal files into the prefix
    install (FILES ${defs} DESTINATION ${KDE_INSTALL_DATADIR}/org.kde.syntax-highlighting/syntax)

    # object library to make cross-folder dependencies work, only themes
    add_library(SyntaxHighlightingData OBJECT ${themes_QRC})
endif()

# set PIC to allow use in static and shared libs
# this needs some more recent CMake than generally required
set_property(TARGET SyntaxHighlightingData PROPERTY POSITION_INDEPENDENT_CODE 1)
if(NOT ${CMAKE_VERSION} VERSION_LESS "3.13.0")
    target_link_libraries(SyntaxHighlightingData PRIVATE Qt5::Core)
endif()

=== examples/CMakeLists.txt ===
ecm_optional_add_subdirectory(codeeditor)
ecm_optional_add_subdirectory(codepdfprinter)
ecm_optional_add_subdirectory(minimaltest)

=== debian/changelog ===
ksyntax-highlighting (5.78.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sun, 17 Jan 2021 12:02:27 +0900

ksyntax-highlighting (5.78.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.78.0).
  * Update build-deps and deps with the info from cmake.

 -- Norbert Preining <norbert@preining.info>  Wed, 13 Jan 2021 10:32:44 +0900

ksyntax-highlighting (5.77.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 10:33:37 +0900

ksyntax-highlighting (5.77.0-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + libkf5syntaxhighlighting-dev: Add Multi-Arch: same.

  [ Norbert Preining ]
  * Bump Standards-Version to 4.5.1 (No changes needed).
  * New upstream release (5.77.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Update maintainer to Debian Qt/KDE Maintainers.
  * Update symbols.

 -- Norbert Preining <norbert@preining.info>  Fri, 18 Dec 2020 10:03:57 +0900

ksyntax-highlighting (5.74.0-2) unstable; urgency=medium

  * Team upload to unstable.

  [ Helmut Grohne ]
  * Fix FTCBFS: Pass a native qt to the build. (Closes: #951750)

 -- Sandro Knauß <hefee@debian.org>  Mon, 19 Oct 2020 23:14:54 +0200

ksyntax-highlighting (5.74.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (5.74.0).
  * Update build-deps and deps with the info from cmake.
  * Update libkf5syntaxhighlighting-tools.install.
  * Update symbols from build for 5.74.0 no ABI bump needed (only tempinst and
    private symbols got removed).
  * Update Homepage link to point to new invent.kde.org
  * Update repository related entries to metadata file.
  * Update field Source in debian/copyright to invent.kde.org move.
  * Add Bug-* entries to metadata file.
  * Update copyright for 5.74.

 -- Sandro Knauß <hefee@debian.org>  Sun, 27 Sep 2020 17:44:36 +0200

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,26 @@
 Source: ksyntax-highlighting
 Section: libs
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Maximiliano Curia <maxy@debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Maximiliano Curia <maxy@debian.org>,
+           Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 3.5~),
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.74.0~),
+               extra-cmake-modules (>= 5.78.0~),
                graphviz,
                libqt5sql5-sqlite,
-               libqt5xmlpatterns5-dev (>= 5.12.0~),
+               libqt5xmlpatterns5-dev (>= 5.14.0~),
                perl,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.12.0~),
+               qtbase5-dev (>= 5.14.0~),
+               qtbase5-dev:native (>= 5.14.0~),
                qttools5-dev (>= 5.4),
-Standards-Version: 4.5.0
-Homepage: https://projects.kde.org/projects/frameworks/syntax-highlighting
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/syntax-highlighting
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/syntax-highlighting
+               qttools5-dev:native
+Standards-Version: 4.5.1
+Homepage: https://invent.kde.org/frameworks/syntax-highlighting
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/syntax-highlighting
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/syntax-highlighting.git
 Rules-Requires-Root: no
 
 Package: libkf5syntaxhighlighting-data
@@ -38,10 +41,11 @@
 Section: libdevel
 Architecture: any
 Depends: libkf5syntaxhighlighting5 (= ${binary:Version}),
-         libqt5xmlpatterns5-dev (>= 5.12.0~),
-         qtbase5-dev (>= 5.12.0~),
-         ${misc:Depends},
+         libqt5xmlpatterns5-dev (>= 5.14.0~),
+         qtbase5-dev (>= 5.14.0~),
+         ${misc:Depends}
 Recommends: libkf5syntaxhighlighting-doc (= ${source:Version})
+Multi-Arch: same
 Description: Syntax highlighting Engine
  This is a stand-alone implementation of the Kate syntax
  highlighting engine. It's meant as a building block for

## ksyntax-highlighting 5.80.0

=== debian/changelog ===
ksyntax-highlighting (5.80.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.80.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 18 Mar 2021 11:11:23 +0000

ksyntax-highlighting (5.79.1-0ubuntu1) hirsute; urgency=medium

  * New upstream bugfix release (5.79.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 17 Feb 2021 14:15:11 +0000

ksyntax-highlighting (5.79.0-0ubuntu1) hirsute; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.79.0)

  [ José Manuel Santamaría Lema ]
  * Update symbols

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Feb 2021 12:25:37 +0000

ksyntax-highlighting (5.78.0-2ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Symbols update on armhf.

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Jan 2021 22:50:35 +0000

ksyntax-highlighting (5.78.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.78.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Jan 2021 09:59:55 +0000

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>,
-           Norbert Preining <norbert@preining.info>
+           Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.78.0~),
+               extra-cmake-modules (>= 5.80.0~),
                graphviz,
                libqt5sql5-sqlite,
                libqt5xmlpatterns5-dev (>= 5.14.0~),
@@ -16,11 +16,11 @@
                qtbase5-dev (>= 5.14.0~),
                qtbase5-dev:native (>= 5.14.0~),
                qttools5-dev (>= 5.4),
-               qttools5-dev:native
+               qttools5-dev:native,
 Standards-Version: 4.5.1
 Homepage: https://invent.kde.org/frameworks/syntax-highlighting
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/syntax-highlighting
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/syntax-highlighting.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/syntax-highlighting
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/syntax-highlighting
 Rules-Requires-Root: no
 
 Package: libkf5syntaxhighlighting-data
@@ -43,7 +43,7 @@
 Depends: libkf5syntaxhighlighting5 (= ${binary:Version}),
          libqt5xmlpatterns5-dev (>= 5.14.0~),
          qtbase5-dev (>= 5.14.0~),
-         ${misc:Depends}
+         ${misc:Depends},
 Recommends: libkf5syntaxhighlighting-doc (= ${source:Version})
 Multi-Arch: same
 Description: Syntax highlighting Engine
@@ -73,7 +73,7 @@
 Architecture: any
 Depends: libkf5syntaxhighlighting5 (= ${binary:Version}),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Description: Syntax highlighting Engine
  This is a stand-alone implementation of the Kate syntax
  highlighting engine. It's meant as a building block for
@@ -90,7 +90,7 @@
 Breaks: libkf5texteditor5 (<< 5.54)
 Depends: libkf5syntaxhighlighting-data (= ${source:Version}),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Description: Syntax highlighting Engine
  This is a stand-alone implementation of the Kate syntax
  highlighting engine. It's meant as a building block for

## ksyntax-highlighting 5.86.0

=== debian/changelog ===
ksyntax-highlighting (5.86.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.86.0)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Sep 2021 12:51:27 +0100

ksyntax-highlighting (5.85.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.85.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Aug 2021 11:31:07 +0100

ksyntax-highlighting (5.84.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.84.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 11 Jul 2021 09:03:50 +0100

ksyntax-highlighting (5.83.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.83.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jun 2021 12:20:47 +0100

ksyntax-highlighting (5.82.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.82.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 08 May 2021 12:00:32 +0100

ksyntax-highlighting (5.81.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.81.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 28 Apr 2021 10:32:54 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.80.0~),
+               extra-cmake-modules (>= 5.86.0~),
                graphviz,
                libqt5sql5-sqlite,
                libqt5xmlpatterns5-dev (>= 5.14.0~),

## ksyntax-highlighting 5.90.0

=== debian/changelog ===
ksyntax-highlighting (5.90.0-2+rpi1) bookworm-staging; urgency=medium

  [changes brought forward from 5.62.0-3+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Tue, 25 Feb 2020 04:12:28 +0000]
  * Add symbols file hack for raspbian.

 -- Raspbian forward porter <root@raspbian.org>  Fri, 04 Mar 2022 14:38:24 +0000

ksyntax-highlighting (5.90.0-2) unstable; urgency=medium

  * Team upload.
  * Drop the libqt5xmlpatterns5-dev dependency from
    libkf5syntaxhighlighting-dev, as no devel bits require the former.
  * CI: enable again blhc, as it works fine now with blhc 0.13.
  * Update symbols files from the logs of buildds.
  * Annotate the perl build dependency as :any, as it is used during build
    to run scripts (and thus any runnable perl will work fine).

 -- Pino Toscano <pino@debian.org>  Sat, 26 Feb 2022 10:24:26 +0100

ksyntax-highlighting (5.90.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.89.0).

  [ Aurélien COUDERC ]
  * New upstream release (5.90.0).
  * Added myself to the uploaders.
  * Update symbols from build for 5.90.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Feb 2022 23:46:42 +0100

ksyntax-highlighting (5.88.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Nov 2021 06:07:43 +0900

ksyntax-highlighting (5.88.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.87.0).
  * New upstream release (5.88.0).
  * Force-bump frameworks internal b-d to 5.88.
  * Add qt5declarative-dev and build/add QML module package.

 -- Norbert Preining <norbert@preining.info>  Tue, 16 Nov 2021 09:17:12 +0900

ksyntax-highlighting (5.86.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.86.0).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Mon, 13 Sep 2021 11:06:18 +0900

ksyntax-highlighting (5.85.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sat, 28 Aug 2021 23:42:50 +0900

ksyntax-highlighting (5.85.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.85.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 00:08:07 +0900

ksyntax-highlighting (5.83.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 11:53:13 +0900

ksyntax-highlighting (5.83.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.83.0).

 -- Norbert Preining <norbert@preining.info>  Sun, 13 Jun 2021 09:33:21 +0900

ksyntax-highlighting (5.82.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.82.0).
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!

 -- Norbert Preining <norbert@preining.info>  Sat, 08 May 2021 21:27:09 +0900

ksyntax-highlighting (5.81.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.81.0)
  * Bump inter-frameworks dependencies.

 -- Norbert Preining <norbert@preining.info>  Mon, 12 Apr 2021 10:18:22 +0900

ksyntax-highlighting (5.80.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.80.0)
  * Bump inter-frameworks dependencies.

 -- Norbert Preining <norbert@preining.info>  Mon, 15 Mar 2021 15:10:37 +0900

ksyntax-highlighting (5.79.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * Remove graphviz from build depends.
  * New upstream release (5.79.0).
  * Update symbols.

 -- Norbert Preining <norbert@preining.info>  Tue, 16 Feb 2021 06:45:31 +0900

=== debian/control ===
--- 
+++ 
@@ -2,25 +2,23 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Maximiliano Curia <maxy@debian.org>,
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
-Build-Depends: cmake (>= 3.5~),
+Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.86.0~),
-               graphviz,
+               extra-cmake-modules (>= 5.90.0~),
                libqt5sql5-sqlite,
-               libqt5xmlpatterns5-dev (>= 5.14.0~),
-               perl,
+               libqt5xmlpatterns5-dev (>= 5.15.2~),
+               perl:any,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.14.0~),
-               qtbase5-dev:native (>= 5.14.0~),
+               qtbase5-dev (>= 5.15.2~),
+               qtdeclarative5-dev (>= 5.15.2~),
                qttools5-dev (>= 5.4),
-               qttools5-dev:native,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://invent.kde.org/frameworks/syntax-highlighting
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/syntax-highlighting
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/syntax-highlighting
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/syntax-highlighting
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/syntax-highlighting.git
 Rules-Requires-Root: no
 
 Package: libkf5syntaxhighlighting-data
@@ -41,8 +39,8 @@
 Section: libdevel
 Architecture: any
 Depends: libkf5syntaxhighlighting5 (= ${binary:Version}),
-         libqt5xmlpatterns5-dev (>= 5.14.0~),
-         qtbase5-dev (>= 5.14.0~),
+         qml-module-org-kde-syntaxhighlighting (= ${binary:Version}),
+         qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
 Recommends: libkf5syntaxhighlighting-doc (= ${source:Version})
 Multi-Arch: same
@@ -98,3 +96,19 @@
  rendering (e.g. as HTML), supporting both integration
  with a custom editor as well as a ready-to-use
  QSyntaxHighlighter sub-class.
+
+Package: qml-module-org-kde-syntaxhighlighting
+Architecture: any
+Multi-Arch: same
+Depends: libkf5syntaxhighlighting5 (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends},
+Description: Syntax highlighting Engine (QML module)
+ This is a stand-alone implementation of the Kate syntax
+ highlighting engine. It's meant as a building block for
+ text editors as well as for simple highlighted text
+ rendering (e.g. as HTML), supporting both integration
+ with a custom editor as well as a ready-to-use
+ QSyntaxHighlighter sub-class.
+ .
+ This package contains the QtQuick QML module.
